
QGIS Application - Bug report #15822

Singleparts to multi-part polygon algorithm uses NULL values also

2016-11-07 07:34 AM - Sharachchandra Lele

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23742

Description

I have a polygon shapefile with an attribute villageID, in which some polygons have the same attribute value and so they should together

form a single multi-part polygon. Some other polygons have NULL in this villageID field. When I run the tool Vector>Geometry

Tools>Singleparts to Multipart (from the menu or from Procsesing Toolbox, and whether I use the GDAL version or the QGIS geoalgorithm

version), the resulting shapefile does merge the repeated villageIDs into multi-part polygons. But it ALSO merges ALL the polygons that

had this field = NULL into a SINGLE multi-part polygon. In effect, it is treating all NULL values as equal, when in fact it should treat NULL

as 'not known' and ignore those polygons. If I run a 'find duplicates' query in MS-ACCESS on the attribute table dbf, the query ignores

those rows where villageID=NULL, which IMHO is the correct method.

Associated revisions

Revision a944f7c4 - 2017-04-30 01:31 PM - Alexander Bruy

[processing] handle NULL values in the Singleparts to multiparts (fix #15822)

Revision 7ee1cbfa - 2017-05-01 09:53 AM - Alexander Bruy

Revert "[processing] handle NULL values in the Singleparts to multiparts (fix #15822)"

This reverts commit a944f7c4c1010767abb811200686e327040c2d32.

Revision e4d745fe - 2017-05-15 07:55 PM - Alexander Bruy

[processing] handle NULL values in the single to multi algorithm (fix #15822)

Revision b56e46da - 2017-05-16 09:06 AM - Alexander Bruy

[processing] handle NULL values in the single to multi algorithm (fix #15822)

Revision 4dab1f85 - 2017-05-16 10:59 AM - Alexander Bruy

Merge pull request #4560 from alexbruy/processing-singletomulti

[processing] handle NULL values in the single to multi algorithm (fix #15822)
Revision e3d79a1f - 2017-05-16 10:59 AM - Alexander Bruy

Merge pull request #4562 from alexbruy/processing-singletomulti-3

[processing] handle NULL values in the single to multi algorithm (fix #15822)

Revision fe7c981a - 2017-05-16 12:43 PM - Alexander Bruy

[processing] handle NULL values in the single to multi algorithm (fix #15822)

Revision 49a7158a - 2017-05-17 12:37 PM - Alexander Bruy

Merge pull request #4565 from alexbruy/processing-single2multi

[processing] handle NULL values in the single to multi algorithm (fix #15822)

History

#1 - 2017-04-27 06:02 AM - Alexander Bruy

- Category set to Processing/QGIS

#2 - 2017-04-30 01:33 PM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in commit:a944f7c4c1

#3 - 2017-05-01 10:26 AM - Jürgen Fischer

- Status changed from Closed to Reopened

- Regression? set to No

- Resolution deleted (fixed/implemented)

- Easy fix? set to No

#4 - 2017-05-16 10:59 AM - Alexander Bruy

- Status changed from Reopened to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e4d745fee3df0026d3629b32ef3aaa06ca7a9d4f.

#5 - 2017-05-16 11:00 AM - Giovanni Manghi

- Resolution set to fixed/implemented
